API Direct
Endpoints
Trustpilot Company Search

Trustpilot Company Search

GET /v1/trustpilot/companies

Search Trustpilot companies by name or keyword. Returns 10 matches per page, plus the categories that match the query.

Cost
$0.005 per request
Free tier
50 requests/month

Parameters

query *
Company name or keyword (max 500 characters)
page
Page number, 1-500 (default: 1). Each page returns up to 10 results
min_rating
Only companies with at least this TrustScore: 3, 4, 4.5
min_review_count
Only companies with at least this many reviews: 25, 50, 100, 250, 500

Example Request

curl "https://apidirect.io/v1/trustpilot/companies?query=amazon"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "companies": [
    {
      "business_unit_id": "46ad346800006400050092d0",
      "name": "Amazon",
      "domain": "www.amazon.com",
      "website": "https://www.amazon.com",
      "url": "https://www.trustpilot.com/review/www.amazon.com",
      "logo": null,
      "rating": 1.6,
      "stars": 1.5,
      "review_count": 48972,
      "categories": [
        {
          "category_id": "book_store",
          "name": "Book Store",
          "is_primary": false
        },
        {
          "category_id": "clothing_store",
          "name": "Clothing Store",
          "is_primary": false
        },
        {
          "category_id": "shoe_store",
          "name": "Shoe Store",
          "is_primary": false
        },
        {
          "category_id": "hobby_store",
          "name": "Hobby Store",
          "is_primary": false
        }
      ],
      "city": null,
      "country": "United Kingdom",
      "address": null,
      "zipcode": null,
      "is_recommended": false
    },
    {
      "business_unit_id": "46d72ac0000064000500e9bb",
      "name": "Amazon",
      "domain": "www.amazon.fr",
      "website": "https://www.amazon.fr",
      "url": "https://www.trustpilot.com/review/www.amazon.fr",
      "logo": null,
      "rating": 1.6,
      "stars": 1.5,
      "review_count": 19281,
      "categories": [
        {
          "category_id": "events_entertainment",
          "name": "Events & Entertainment",
          "is_primary": false
        }
      ],
      "city": null,
      "country": "France",
      "address": null,
      "zipcode": null,
      "is_recommended": false
    }
  ],
  "count": 10,
  "page": 1,
  "total_pages": 56,
  "total_results": 557,
  "query": "amazon",
  "categories": [
    {
      "category_id": "book_store",
      "name": "Book Store"
    },
    {
      "category_id": "e_commerce_agency",
      "name": "e-Commerce Agency"
    },
    {
      "category_id": "e_commerce_service",
      "name": "e-Commerce Service"
    }
  ]
}

Your Usage

Free tier this month
Loading...
Recent Activity